public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sci-electronics/puff/
@ 2018-07-22 11:41 Thomas Beierlein
  0 siblings, 0 replies; 9+ messages in thread
From: Thomas Beierlein @ 2018-07-22 11:41 UTC (permalink / raw
  To: gentoo-commits

commit:     cc10cf6b5886ab8d72b2fb098e4ee761635bca11
Author:     Michael Mair-Keimberger <m.mairkeimberger <AT> gmail <DOT> com>
AuthorDate: Mon Jul  9 18:22:38 2018 +0000
Commit:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
CommitDate: Sun Jul 22 11:39:39 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cc10cf6b

sci-electronics/puff: EAPI7, improve ebuild

Closes: https://github.com/gentoo/gentoo/pull/9162

 sci-electronics/puff/puff-20100127-r1.ebuild | 47 ++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)

diff --git a/sci-electronics/puff/puff-20100127-r1.ebuild b/sci-electronics/puff/puff-20100127-r1.ebuild
new file mode 100644
index 00000000000..9ea282b9822
--- /dev/null
+++ b/sci-electronics/puff/puff-20100127-r1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic
+
+DESCRIPTION="microwave CAD software"
+HOMEPAGE="http://wwwhome.cs.utwente.nl/~ptdeboer/ham/puff/"
+SRC_URI="http://wwwhome.cs.utwente.nl/~ptdeboer/ham/${PN}/${P}.tgz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="x11-libs/libX11"
+DEPEND="${RDEPEND}
+	dev-lang/fpc"
+
+src_prepare() {
+	default
+	# fix lib path for X11 and dont ignore LDFLAGS
+	sed -i -e "s#lib\\\/#$(get_libdir)\\\/#" \
+		-e 's/CFLAGS/#CFLAGS/' \
+		-e 's/link.res pu/link.res $(LDFLAGS) pu/' Makefile || die
+}
+
+src_compile() {
+	LDFLAGS="$(raw-ldflags)"
+	emake -j1
+}
+
+src_install() {
+	dobin puff
+
+	dodoc changelog.txt README.txt
+	newdoc "Puff Manual.pdf" Puff_Manual.pdf
+
+	insinto /usr/share/${PN}
+	doins setup.puf
+	doins -r orig_dev_and_puf_files
+}
+
+pkg_postinst() {
+	elog "You must copy /usr/share/${PN}/setup.puf into your working directory"
+	elog "before using the program."
+}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-electronics/puff/
@ 2018-11-28  0:06 Aaron Bauman
  0 siblings, 0 replies; 9+ messages in thread
From: Aaron Bauman @ 2018-11-28  0:06 UTC (permalink / raw
  To: gentoo-commits

commit:     568d49bf818fc0ec25e4ede85b452fe4d3ca99fa
Author:     Aaron Bauman <bman <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 28 00:06:49 2018 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Wed Nov 28 00:06:49 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=568d49bf

sci-electronics/puff: drop old EAPI2

Signed-off-by: Aaron Bauman <bman <AT> gentoo.org>

 sci-electronics/puff/puff-20100127.ebuild | 48 -------------------------------
 1 file changed, 48 deletions(-)

diff --git a/sci-electronics/puff/puff-20100127.ebuild b/sci-electronics/puff/puff-20100127.ebuild
deleted file mode 100644
index f2696a3996d..00000000000
--- a/sci-electronics/puff/puff-20100127.ebuild
+++ /dev/null
@@ -1,48 +0,0 @@
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="2"
-
-inherit flag-o-matic multilib
-
-DESCRIPTION="microwave CAD software"
-HOMEPAGE="http://wwwhome.cs.utwente.nl/~ptdeboer/ham/puff/"
-SRC_URI="http://wwwhome.cs.utwente.nl/~ptdeboer/ham/${PN}/${P}.tgz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-RDEPEND="x11-libs/libX11"
-DEPEND="${RDEPEND}
-	dev-lang/fpc
-	amd64? ( >=dev-lang/fpc-2.4.0 )"
-
-src_prepare() {
-	# fix lib path for X11 and dont ignore LDFLAGS
-	sed -i -e "s#lib\\\/#$(get_libdir)\\\/#" \
-		-e 's/CFLAGS/#CFLAGS/' \
-		-e 's/link.res pu/link.res $(LDFLAGS) pu/' Makefile || die
-}
-
-src_compile() {
-	LDFLAGS="$(raw-ldflags)"
-	emake -j1 || die
-}
-
-src_install() {
-	dobin puff || die
-
-	dodoc changelog.txt README.txt || die
-	newdoc "Puff Manual.pdf" Puff_Manual.pdf || die
-
-	insinto /usr/share/${PN}
-	doins setup.puf || die
-	doins -r orig_dev_and_puf_files || die
-}
-
-pkg_postinst() {
-	elog "You must copy /usr/share/${PN}/setup.puf into your working directory"
-	elog "before using the program."
-}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-electronics/puff/
@ 2019-04-20  1:29 Aaron Bauman
  0 siblings, 0 replies; 9+ messages in thread
From: Aaron Bauman @ 2019-04-20  1:29 UTC (permalink / raw
  To: gentoo-commits

commit:     fd0618b0769a8a4308008949698e764b643dd3e1
Author:     Michael Mair-Keimberger <m.mairkeimberger <AT> gmail <DOT> com>
AuthorDate: Fri Apr 19 18:08:08 2019 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Sat Apr 20 01:27:01 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fd0618b0

sci-electronics/puff: use HTTPS

Signed-off-by: Michael Mair-Keimberger <m.mairkeimberger <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/11745
Signed-off-by: Aaron Bauman <bman <AT> gentoo.org>

 sci-electronics/puff/puff-20100127-r1.ebuild | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/sci-electronics/puff/puff-20100127-r1.ebuild b/sci-electronics/puff/puff-20100127-r1.ebuild
index 9ea282b9822..0c27ca623e4 100644
--- a/sci-electronics/puff/puff-20100127-r1.ebuild
+++ b/sci-electronics/puff/puff-20100127-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -6,8 +6,8 @@ EAPI=7
 inherit flag-o-matic
 
 DESCRIPTION="microwave CAD software"
-HOMEPAGE="http://wwwhome.cs.utwente.nl/~ptdeboer/ham/puff/"
-SRC_URI="http://wwwhome.cs.utwente.nl/~ptdeboer/ham/${PN}/${P}.tgz"
+HOMEPAGE="https://wwwhome.cs.utwente.nl/~ptdeboer/ham/puff/"
+SRC_URI="https://wwwhome.cs.utwente.nl/~ptdeboer/ham/${PN}/${P}.tgz"
 
 LICENSE="GPL-3"
 SLOT="0"


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-electronics/puff/
@ 2021-06-29 17:12 Thomas Beierlein
  0 siblings, 0 replies; 9+ messages in thread
From: Thomas Beierlein @ 2021-06-29 17:12 UTC (permalink / raw
  To: gentoo-commits

commit:     c13c78180b2338d95ffbbf776ee4f3c3702170d5
Author:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 29 17:11:38 2021 +0000
Commit:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
CommitDate: Tue Jun 29 17:11:38 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c13c7818

sci-electronics/puff: Adapt to changes in Free Pascal compiler

Closes: https://bugs.gentoo.org/798264
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Thomas Beierlein <tomjbe <AT> gentoo.org>

 sci-electronics/puff/puff-20100127-r1.ebuild | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/sci-electronics/puff/puff-20100127-r1.ebuild b/sci-electronics/puff/puff-20100127-r1.ebuild
index 0c27ca623e4..c13ddfb1131 100644
--- a/sci-electronics/puff/puff-20100127-r1.ebuild
+++ b/sci-electronics/puff/puff-20100127-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -20,9 +20,10 @@ DEPEND="${RDEPEND}
 src_prepare() {
 	default
 	# fix lib path for X11 and dont ignore LDFLAGS
-	sed -i -e "s#lib\\\/#$(get_libdir)\\\/#" \
+	sed -i  -e "s#lib\\\/#$(get_libdir)\\\/#" \
 		-e 's/CFLAGS/#CFLAGS/' \
-		-e 's/link.res pu/link.res $(LDFLAGS) pu/' Makefile || die
+		-e 's/link.res/.res/g' \
+		-e 's/.res pu/.res $(LDFLAGS) pu/' Makefile || die
 }
 
 src_compile() {


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-electronics/puff/
@ 2021-06-29 17:12 Thomas Beierlein
  0 siblings, 0 replies; 9+ messages in thread
From: Thomas Beierlein @ 2021-06-29 17:12 UTC (permalink / raw
  To: gentoo-commits

commit:     f7152b3662f80087c41234557377b54bcf0e91d8
Author:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 29 17:12:39 2021 +0000
Commit:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
CommitDate: Tue Jun 29 17:12:39 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f7152b36

sci-electronics/puff: Minor maintenance release

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Thomas Beierlein <tomjbe <AT> gentoo.org>

 sci-electronics/puff/Manifest             |  1 +
 sci-electronics/puff/puff-20181104.ebuild | 47 +++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/sci-electronics/puff/Manifest b/sci-electronics/puff/Manifest
index 3b2f76f78f8..1783fccc915 100644
--- a/sci-electronics/puff/Manifest
+++ b/sci-electronics/puff/Manifest
@@ -1 +1,2 @@
 DIST puff-20100127.tgz 430028 BLAKE2B e3c019c4034f4f70c3f1a2468360a8838ee338ec167b8da9ef6ec630d6443c66e798e22e6e2b80f6d706191756831aa3fa5146170e0bdb2cebe3cfcf13f6cd99 SHA512 d39d74300a5f6d226dcd6147f3c63cf30396abd14d765b24b48dbd1956c81a10d4233c141789648423aa44631197e1ec160630f9b20b6ac5ae641ae67cdcb2da
+DIST puff-20181104.tgz 430096 BLAKE2B f87bd2d93ff83271fbac9b2933b87dbbd47aa032e5662a77d77e58563a1e353b302f295520895b1a705c28a146ebf080fc5b66d17737a7c1d6fa48d320d3fb70 SHA512 44ffc132f2ecf92868129a98ae9d154a62232c670bfd139de6bee7f03c2ad3531068f8738f26a0074d169097945436e4630bf795c006354f335d41efa5aaa881

diff --git a/sci-electronics/puff/puff-20181104.ebuild b/sci-electronics/puff/puff-20181104.ebuild
new file mode 100644
index 00000000000..9d07d1e9fd6
--- /dev/null
+++ b/sci-electronics/puff/puff-20181104.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic
+
+DESCRIPTION="microwave CAD software"
+HOMEPAGE="https://wwwhome.cs.utwente.nl/~ptdeboer/ham/puff/"
+SRC_URI="https://wwwhome.cs.utwente.nl/~ptdeboer/ham/${PN}/${P}.tgz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="x11-libs/libX11"
+DEPEND="${RDEPEND}
+	dev-lang/fpc"
+
+src_prepare() {
+	default
+	# fix lib path for X11 and dont ignore LDFLAGS
+	sed -i  -e 's/CFLAGS/#CFLAGS/' \
+		-e 's/link.res/.res/g' \
+		-e 's/.res pu/.res $(LDFLAGS) pu/' Makefile || die
+}
+
+src_compile() {
+	LDFLAGS="$(raw-ldflags)"
+	emake -j1
+}
+
+src_install() {
+	dobin puff
+
+	dodoc changelog.txt README.txt
+	newdoc "Puff Manual.pdf" Puff_Manual.pdf
+
+	insinto /usr/share/${PN}
+	doins setup.puf
+	doins -r orig_dev_and_puf_files
+}
+
+pkg_postinst() {
+	elog "You must copy /usr/share/${PN}/setup.puf into your working directory"
+	elog "before using the program."
+}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-electronics/puff/
@ 2021-06-30 18:23 Thomas Beierlein
  0 siblings, 0 replies; 9+ messages in thread
From: Thomas Beierlein @ 2021-06-30 18:23 UTC (permalink / raw
  To: gentoo-commits

commit:     6ae6627d53481ea1859fd1f071949f062e441a0a
Author:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 30 18:23:24 2021 +0000
Commit:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
CommitDate: Wed Jun 30 18:23:24 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6ae6627d

sci-electronics/puff: Do not call gcc directly

Closes: https://bugs.gentoo.org/799269
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Thomas Beierlein <tomjbe <AT> gentoo.org>

 sci-electronics/puff/puff-20100127-r1.ebuild | 5 +++--
 sci-electronics/puff/puff-20181104.ebuild    | 5 +++--
 2 files changed, 6 insertions(+), 4 deletions(-)

diff --git a/sci-electronics/puff/puff-20100127-r1.ebuild b/sci-electronics/puff/puff-20100127-r1.ebuild
index c13ddfb1131..1c89266a793 100644
--- a/sci-electronics/puff/puff-20100127-r1.ebuild
+++ b/sci-electronics/puff/puff-20100127-r1.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-inherit flag-o-matic
+inherit flag-o-matic toolchain-funcs
 
 DESCRIPTION="microwave CAD software"
 HOMEPAGE="https://wwwhome.cs.utwente.nl/~ptdeboer/ham/puff/"
@@ -22,13 +22,14 @@ src_prepare() {
 	# fix lib path for X11 and dont ignore LDFLAGS
 	sed -i  -e "s#lib\\\/#$(get_libdir)\\\/#" \
 		-e 's/CFLAGS/#CFLAGS/' \
+		-e 's/CC =/#CC =/' \
 		-e 's/link.res/.res/g' \
 		-e 's/.res pu/.res $(LDFLAGS) pu/' Makefile || die
 }
 
 src_compile() {
 	LDFLAGS="$(raw-ldflags)"
-	emake -j1
+	emake -j1 CC="$(tc-getCC)"
 }
 
 src_install() {

diff --git a/sci-electronics/puff/puff-20181104.ebuild b/sci-electronics/puff/puff-20181104.ebuild
index 9d07d1e9fd6..bf281406eae 100644
--- a/sci-electronics/puff/puff-20181104.ebuild
+++ b/sci-electronics/puff/puff-20181104.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-inherit flag-o-matic
+inherit flag-o-matic toolchain-funcs
 
 DESCRIPTION="microwave CAD software"
 HOMEPAGE="https://wwwhome.cs.utwente.nl/~ptdeboer/ham/puff/"
@@ -21,13 +21,14 @@ src_prepare() {
 	default
 	# fix lib path for X11 and dont ignore LDFLAGS
 	sed -i  -e 's/CFLAGS/#CFLAGS/' \
+		-e 's/CC =/#CC =/' \
 		-e 's/link.res/.res/g' \
 		-e 's/.res pu/.res $(LDFLAGS) pu/' Makefile || die
 }
 
 src_compile() {
 	LDFLAGS="$(raw-ldflags)"
-	emake -j1
+	emake -j1 CC="$(tc-getCC)"
 }
 
 src_install() {


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-electronics/puff/
@ 2022-11-19 16:59 Thomas Beierlein
  0 siblings, 0 replies; 9+ messages in thread
From: Thomas Beierlein @ 2022-11-19 16:59 UTC (permalink / raw
  To: gentoo-commits

commit:     9703f41aedd0aa5ac5acc05397609d969123c929
Author:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 19 16:09:22 2022 +0000
Commit:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
CommitDate: Sat Nov 19 16:58:30 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9703f41a

sci-electronics/puff: Filter out -flto

Closes: https://bugs.gentoo.org/862516
Signed-off-by: Thomas Beierlein <tomjbe <AT> gentoo.org>

 sci-electronics/puff/puff-20181104.ebuild | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/sci-electronics/puff/puff-20181104.ebuild b/sci-electronics/puff/puff-20181104.ebuild
index ab384b49ccc0..c3e3c633e08d 100644
--- a/sci-electronics/puff/puff-20181104.ebuild
+++ b/sci-electronics/puff/puff-20181104.ebuild
@@ -29,6 +29,8 @@ src_prepare() {
 }
 
 src_compile() {
+#	# fails to compile with -flto (bug #862516)
+	filter-lto
 	LDFLAGS="$(raw-ldflags)"
 	emake -j1 CC="$(tc-getCC)" LD="$(tc-getLD)"
 }


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-electronics/puff/
@ 2022-11-19 16:59 Thomas Beierlein
  0 siblings, 0 replies; 9+ messages in thread
From: Thomas Beierlein @ 2022-11-19 16:59 UTC (permalink / raw
  To: gentoo-commits

commit:     b124c4ea8c9c6d2db1e61dae51962012e5d59da8
Author:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 19 16:56:53 2022 +0000
Commit:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
CommitDate: Sat Nov 19 16:58:30 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b124c4ea

sci-electronics/puff: Drop illegal parameter

Closes: https://bugs.gentoo.org/880225
Signed-off-by: Thomas Beierlein <tomjbe <AT> gentoo.org>

 sci-electronics/puff/puff-20181104.ebuild | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/sci-electronics/puff/puff-20181104.ebuild b/sci-electronics/puff/puff-20181104.ebuild
index c3e3c633e08d..80838dd3c7ef 100644
--- a/sci-electronics/puff/puff-20181104.ebuild
+++ b/sci-electronics/puff/puff-20181104.ebuild
@@ -25,6 +25,8 @@ src_prepare() {
 	eapply -p0 "${FILESDIR}"/$P-Makefile.patch
 	# add missing LDPATH for libX11.so
 	sed -i -e "s:-lX11:-L/usr/$(get_libdir) -lX11:g" Makefile || die
+	# drop no longer needed and now unsupported paramter '-T' (bug #8802225)
+	sed -i -e "s: -T : :g" Makefile || die
 	eapply_user
 }
 


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-electronics/puff/
@ 2023-06-15  8:49 Andrew Ammerlaan
  0 siblings, 0 replies; 9+ messages in thread
From: Andrew Ammerlaan @ 2023-06-15  8:49 UTC (permalink / raw
  To: gentoo-commits

commit:     132655e5d59f1cfd20bdd41278ef86552b47316c
Author:     Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Sat Jun  3 16:02:33 2023 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Thu Jun 15 08:49:39 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=132655e5

sci-electronics/puff: update HOMEPAGE, add missing braces

Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Closes: https://github.com/gentoo/gentoo/pull/31289
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 sci-electronics/puff/puff-20100127-r1.ebuild | 8 ++++----
 sci-electronics/puff/puff-20181104.ebuild    | 8 ++++----
 2 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/sci-electronics/puff/puff-20100127-r1.ebuild b/sci-electronics/puff/puff-20100127-r1.ebuild
index 3ec8bccda1fa..1c2f5621d272 100644
--- a/sci-electronics/puff/puff-20100127-r1.ebuild
+++ b/sci-electronics/puff/puff-20100127-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -6,8 +6,8 @@ EAPI=7
 inherit flag-o-matic toolchain-funcs
 
 DESCRIPTION="microwave CAD software"
-HOMEPAGE="https://wwwhome.cs.utwente.nl/~ptdeboer/ham/puff/"
-SRC_URI="https://wwwhome.cs.utwente.nl/~ptdeboer/ham/${PN}/${P}.tgz"
+HOMEPAGE="https://www.pa3fwm.nl/software/puff/"
+SRC_URI="https://www.pa3fwm.nl/software/${PN}/${P}.tgz"
 
 LICENSE="GPL-3"
 SLOT="0"
@@ -21,7 +21,7 @@ src_prepare() {
 	default
 	# fix lib path for X11 and dont ignore LDFLAGS
 	# respect CC and LD
-	eapply -p0 "${FILESDIR}"/$P-Makefile.patch
+	eapply -p0 "${FILESDIR}"/${P}-Makefile.patch
 	eapply_user
 }
 

diff --git a/sci-electronics/puff/puff-20181104.ebuild b/sci-electronics/puff/puff-20181104.ebuild
index 80838dd3c7ef..3931f1297a2f 100644
--- a/sci-electronics/puff/puff-20181104.ebuild
+++ b/sci-electronics/puff/puff-20181104.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -6,8 +6,8 @@ EAPI=7
 inherit flag-o-matic toolchain-funcs
 
 DESCRIPTION="microwave CAD software"
-HOMEPAGE="https://wwwhome.cs.utwente.nl/~ptdeboer/ham/puff/"
-SRC_URI="https://wwwhome.cs.utwente.nl/~ptdeboer/ham/${PN}/${P}.tgz"
+HOMEPAGE="https://www.pa3fwm.nl/software/puff/"
+SRC_URI="https://www.pa3fwm.nl/software/${PN}/${P}.tgz"
 
 LICENSE="GPL-3"
 SLOT="0"
@@ -22,7 +22,7 @@ src_prepare() {
 	# fix lib path for X11 and dont ignore LDFLAGS
 	# respect CC and LD
 	# additional drop explicite format option for linker (bug #831569)
-	eapply -p0 "${FILESDIR}"/$P-Makefile.patch
+	eapply -p0 "${FILESDIR}"/${P}-Makefile.patch
 	# add missing LDPATH for libX11.so
 	sed -i -e "s:-lX11:-L/usr/$(get_libdir) -lX11:g" Makefile || die
 	# drop no longer needed and now unsupported paramter '-T' (bug #8802225)


^ permalink raw reply related	[flat|nested] 9+ messages in thread

end of thread, other threads:[~2023-06-15  8:50 UTC | newest]

Thread overview: 9+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-06-30 18:23 [gentoo-commits] repo/gentoo:master commit in: sci-electronics/puff/ Thomas Beierlein
  -- strict thread matches above, loose matches on Subject: below --
2023-06-15  8:49 Andrew Ammerlaan
2022-11-19 16:59 Thomas Beierlein
2022-11-19 16:59 Thomas Beierlein
2021-06-29 17:12 Thomas Beierlein
2021-06-29 17:12 Thomas Beierlein
2019-04-20  1:29 Aaron Bauman
2018-11-28  0:06 Aaron Bauman
2018-07-22 11:41 Thomas Beierlein

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox